# Functor Deriving_Pickle.Pickle_ref

    module Pickle_ref: functor (S : Pickle) -> Pickle  with type a = S.a ref

Parameters:

`S` | : | `Pickle`

    type a

    module Typeable: Typeable  with type a = a

    module Eq: Eq  with type a = a

    val pickle : a -> Deriving_Pickle.id Deriving_Pickle.Write.m

    val unpickle : Deriving_Pickle.id -> a Deriving_Pickle.Read.m

    val to_buffer : Buffer.t -> a -> unit

    val to_string : a -> string

    val to_channel : Pervasives.out_channel -> a -> unit

    val from_stream : char Stream.t -> a

    val from_string : string -> a

    val from_channel : Pervasives.in_channel -> a